libfreehand::FHLineToElement Class Reference documentation

libfreehand::FHLineToElement Class Reference
Inheritance diagram for libfreehand::FHLineToElement:

## Public Member Functions
| FHLineToElement (double x, double y)
| ~FHLineToElement () override
void | writeOut (librevenge::RVNGPropertyListVector &vec) const override
void | writeOut (std::ostream &o) const override
void | transform (const FHTransform &trafo) override
FHPathElement * | clone () override
void | getBoundingBox (double x0, double y0, double &xmin, double &ymin, double &xmax, double &ymax) const override
double | getX () const override
double | getY () const override
Public Member Functions inherited from libfreehand::FHPathElement
| FHPathElement ()
virtual | ~FHPathElement ()

## Private Attributes
double | m_x
double | m_y

## Constructor & Destructor Documentation

## ◆ FHLineToElement()

libfreehand::FHLineToElement::FHLineToElement | ( | double | x,
|  | double | y )
| inline

Referenced by clone().

## ◆ ~FHLineToElement()

libfreehand::FHLineToElement::~FHLineToElement | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libfreehand::FHPathElement * libfreehand::FHLineToElement::clone | ( |  | ) |
| overridevirtual

Implements libfreehand::FHPathElement.

## ◆ getBoundingBox()

void libfreehand::FHLineToElement::getBoundingBox | ( | double | x0,
|  | double | y0,
|  | double & | xmin,
|  | double & | ymin,
|  | double & | xmax,
|  | double & | ymax ) const
| overridevirtual

Implements libfreehand::FHPathElement.

## ◆ getX()

double libfreehand::FHLineToElement::getX | ( |  | ) | const
| inlineoverridevirtual

Implements libfreehand::FHPathElement.

## ◆ getY()

double libfreehand::FHLineToElement::getY | ( |  | ) | const
| inlineoverridevirtual

Implements libfreehand::FHPathElement.

## ◆ transform()

void libfreehand::FHLineToElement::transform | ( | const FHTransform & | trafo | ) |
| overridevirtual

Implements libfreehand::FHPathElement.

## ◆ writeOut() [1/2]

void libfreehand::FHLineToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| overridevirtual

Implements libfreehand::FHPathElement.

## ◆ writeOut() [2/2]

void libfreehand::FHLineToElement::writeOut | ( | std::ostream & | o | ) | const
| overridevirtual

Implements libfreehand::FHPathElement.

## Member Data Documentation

## ◆ m_x

double libfreehand::FHLineToElement::m_x
| private

Referenced by clone(), FHLineToElement(), getBoundingBox(), getX(), transform(), writeOut(), and writeOut().

## ◆ m_y

double libfreehand::FHLineToElement::m_y
| private

Referenced by clone(), FHLineToElement(), getBoundingBox(), getY(), transform(), writeOut(), and writeOut().

The documentation for this class was generated from the following file:

- FHPath.cpp